TSFGETS(3ts)

NAME
TSfgets - TSfgets API function

SYNOPSIS

            #include <ts/ts.h>

    char *TSfgets(TSFile filep, char *buf, size_t length)

DESCRIPTION

Reads a line from the file pointed to by filep into the buffer buf.

Lines are terminated by a line feed character, ' '. The line placed in the buffer includes the line feed character and is terminated with a NULL. If the line is longer than length bytes then only the first length-minus-1 bytes are placed in buf.

COPYRIGHT
2025, dev@trafficserver.apache.org